Update Channel-Specific Checkout Settings

Updates the checkout settings for a given channel (storefront) by channelId.

This endpoint will update all settings included in the request body. Any settings excluded will remain unchanged. All non-boolean

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkouts | modify | `store_checkouts` | | Checkouts | read-only | `store_checkouts_read_only` | | Checkout Content | modify | `store_checkout_content` | | Checkout Content | read-only | `store_checkout_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channelIdstringRequired

Request

This endpoint expects an object.
checkout_typestringOptional
custom_checkout_script_urlstringOptional
custom_checkout_sri_hashstringOptional
custom_checkout_supports_uco_settingsbooleanOptional
custom_order_confirmation_script_urlstringOptional
custom_order_confirmation_sri_hashstringOptional
guest_checkout_for_existing_accountsstringOptional
guest_checkout_typestringOptional
is_order_terms_and_conditions_enabledbooleanOptional
order_confirmation_contact_emailstringOptional
order_confirmation_use_custom_checkout_scriptbooleanOptional
order_terms_and_conditions_textareastringOptional
order_terms_and_conditions_typestringOptional
should_redirect_to_storefront_for_authbooleanOptional

Response

Channel checkout settings updated successfully
dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error